# Interface IntersectEvent

射线检测事件

interface IntersectEvent {
defaultPrevented: boolean;
intersection: Intersection | null;
object: Object3D;
raycaster: Raycaster;
timeStamp: number;
type: string;
preventDefault(): void;
}

#### Hierarchy (View Summary)

- BaseEvent
  - IntersectEvent

- Defined in lib/five/utils/event.ts:31

##### Index

### Properties

defaultPrevented
intersection
object
raycaster
timeStamp
type

### Methods

preventDefault

## Properties

### `Readonly` defaultPrevented

defaultPrevented: boolean

是否已调用过 preventDefault

Inherited from BaseEvent.defaultPrevented

- Defined in lib/five/utils/event.ts:23

### intersection

intersection: Intersection | null

射线与对象的交点信息，未命中时为 null

- Defined in lib/five/utils/event.ts:37

### object

object: Object3D

被检测到的 3D 对象

- Defined in lib/five/utils/event.ts:33

### raycaster

raycaster: Raycaster

发出射线的 Raycaster

- Defined in lib/five/utils/event.ts:35

### timeStamp

timeStamp: number

事件触发时的时间戳

Inherited from BaseEvent.timeStamp

- Defined in lib/five/utils/event.ts:19

### type

type: string

事件类型名称

Inherited from BaseEvent.type

- Defined in lib/five/utils/event.ts:17

## Methods

### preventDefault

- preventDefault(): void

  阻止事件的默认行为

  #### Returns void

  Inherited from BaseEvent.preventDefault

  - Defined in lib/five/utils/event.ts:21